<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_xval.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_xval" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_xval</refname>
    <refpurpose>is used for crossvalidation</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [R,CC] = nan_xval(D,classlabel)
   .. = nan_xval(D,classlabel,CLASSIFIER)
   .. = nan_xval(D,classlabel,CLASSIFIER,type)
   .. = nan_xval(D,list(classlabel,W),CLASSIFIER)
   .. = nan_xval(D,list(classlabel,W,NG),CLASSIFIER)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>Input:</term>
      <listitem><para> </para></listitem></varlistentry>
   <varlistentry><term>D:</term>
      <listitem><para>    data features (one feature per column, one sample per row)</para></listitem></varlistentry>
   <varlistentry><term>Two different encodings are supported:</term>
      <listitem><para> </para></listitem></varlistentry>
   <varlistentry><term>'SVM','RBF','PSVM','SVM11','SVM:</term>
      <listitem><para>LIN4','SVM:LIN0','SVM:LIN1','SVM:LIN2','SVM:LIN3','WINNOW'}</para></listitem></varlistentry>
   <varlistentry><term>W:</term>
      <listitem><para>    weights for each sample (row) in D.</para></listitem></varlistentry>
   <varlistentry><term>default:</term>
      <listitem><para> [] (i.e. all weights are 1)</para></listitem></varlistentry>
   <varlistentry><term>NG:</term>
      <listitem><para> used to define the type of cross-valdiation</para></listitem></varlistentry>
   <varlistentry><term>Leave-One-Out-Method (LOOM):</term>
      <listitem><para> NG = [1:length(classlabel)]' (default)</para></listitem></varlistentry>
   <varlistentry><term>Leave-K-Out-Method:</term>
      <listitem><para> NG = ceil([1:length(classlabel)]'/K)</para></listitem></varlistentry>
   <varlistentry><term>K-fold XV:</term>
      <listitem><para>  NG = ceil([1:length(classlabel)]'*K/length(classlabel))</para></listitem></varlistentry>
   <varlistentry><term>TYPE:</term>
      <listitem><para>  defines the type of cross-validation procedure if NG is not specified</para></listitem></varlistentry>
   <varlistentry><term>OUTPUT:</term>
      <listitem><para> </para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
loadmatfile(nan_getpath()+"/demos/data/iris.mat");
C = nan_grp2idx(species);
K = 5; NG = [1:length(C)]'*K/length(C);
[R,CC] = nan_xval(meas,list(C,[],NG),'NBC');

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="nan_train_sc">nan_train_sc</link></member>
   <member><link linkend="nan_test_sc">nan_test_sc</link></member>
   <member><link linkend="nan_classify">nan_classify</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>[1] R. Duda, P. Hart, and D. Stork, Pattern Classification, second ed.</para>
   <para>John Wiley &amp; Sons, 2001.</para>
   <para>[2] A. Schlögl, J. Kronegg, J.E. Huggins, S. G. Mason;</para>
   <para>Evaluation criteria in BCI research.</para>
   <para>(Eds.) G. Dornhege, J.R. Millan, T. Hinterberger, D.J. McFarland, K.-R.Müller;</para>
   <para>Towards Brain-Computer Interfacing, MIT Press, 2007, p.327-342</para>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2008,2009,2010 by Alois Schloegl a.schloegl@ieee.org</member>
   <member>H. Nahrstaedt - 2010</member>
   </simplelist>
</refsection>
</refentry>
